## plotpy 2.6.2

=== requirements.txt ===
Coverage
Cython
NumPy>=1.17
scikit-image>=0.18
Pillow
tifffile
PyQt5
PythonQwt>=0.12.1
SciPy>=1.3
guidata>=3.6.2
pylint
ruff
pytest
pytest-xvfb
python-docs-theme
sphinx
myst_parser
sphinx-copybutton
sphinx_qt_documentation

## plotpy 2.4.0

=== debian/changelog ===
plotpy (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Mon, 01 Jul 2024 12:09:14 +0200

plotpy (2.3.5-1) unstable; urgency=medium

  * Add missing Vcs-* fields in debian/control.
  * New upstream release.
  * Add missing build-dependency.
  * Bug fix: "FTBFS: plotpy/tests/benchmarks/test_benchmarks.py Fatal
    Python error: Aborted", thanks to Santiago Vila (Closes: #1071775).

 -- Roland Mas <lolando@debian.org>  Sat, 22 Jun 2024 20:49:46 +0200

plotpy (2.2.0-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 14 May 2024 11:42:48 +0200

plotpy (2.2.0-2) unstable; urgency=medium

  * Update debian/copyright.

 -- Roland Mas <lolando@debian.org>  Sat, 11 May 2024 16:55:10 +0200

plotpy (2.2.0-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by
    hand.

 -- Roland Mas <lolando@debian.org>  Tue, 19 Mar 2024 15:28:06 +0100

=== debian/control ===
Source: plotpy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
 cython3,
 dbus,
 dh-python,
 python3-all,
 python3-all-dev,
 python3-certifi,
 python3-charset-normalizer,
 python3-guidata,
 python3-numpy,
 python3-pil,
 python3-pytest <!nocheck>,
 python3-pytest-xvfb <!nocheck>,
 python3-pyvirtualdisplay <!nocheck>,
 python3-qwt,
 python3-requests,
 python3-scipy,
 python3-tifffile,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/PlotPyStack/plotpy/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/plotpy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/plotpy

Package: python3-plotpy
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: Curve and image plotting tools for Python/Qt applications
 plotpy is a Python library providing efficient 2D data-plotting
 features for interactive computing and signal/image processing
 application development.  It is part of the PlotPyStack project,
 aiming at providing a unified framework for creating scientific GUIs
 with Python and Qt.

## plotpy 2.6.2

=== debian/changelog ===
plotpy (2.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 06 Aug 2024 16:45:06 +0200

plotpy (2.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 16 Jul 2024 19:17:30 +0200

plotpy (2.4.0-2) unstable; urgency=medium

  * Fix autopkgtests.

 -- Roland Mas <lolando@debian.org>  Tue, 16 Jul 2024 19:07:21 +0200

## plotpy 2.7.0

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Coverage
-Cython
+Cython>=3.0
 NumPy>=1.17
 scikit-image>=0.18
 Pillow

=== debian/changelog ===
plotpy (2.7.0-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:21:59 +0000

plotpy (2.7.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:49:38 +0000

plotpy (2.7.0-1build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jan 2025 21:51:14 +0000

plotpy (2.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 03 Jan 2025 19:47:26 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  cython3,
  dbus,
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-all-dev,
  python3-certifi,
@@ -19,10 +20,10 @@
  python3-pyvirtualdisplay <!nocheck>,
  python3-qwt,
  python3-requests,
+ python3-skimage,
  python3-scipy,
  python3-tifffile,
 Standards-Version: 4.6.2.0
-Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/PlotPyStack/plotpy/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/plotpy.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=plotpy

%:
	dh $@ --with=python3 --with=numpy3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -efu
 ; export HOME="$AUTOPKGTEST_TMP"
 ; cp -r plotpy/tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest
 ; done
Depends:
 @,
 python3-all,
 python3-pytest,
 python3-pytest-xvfb,
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/PlotPyStack/PlotPy/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## plotpy 2.8.2

=== debian/changelog ===
plotpy (2.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 09 Dec 2025 20:46:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,15 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Roland Mas <lolando@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Uploaders:
+ Roland Mas <lolando@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
  cython3,
  dbus,
- dh-python,
  pybuild-plugin-pyproject,
  python3-all,
  python3-all-dev,
@@ -18,10 +22,10 @@
  python3-pytest <!nocheck>,
  python3-pytest-xvfb <!nocheck>,
  python3-pyvirtualdisplay <!nocheck>,
- python3-qwt,
+ python3-qwt (>= 0.15~),
  python3-requests,
+ python3-scipy,
  python3-skimage,
- python3-scipy,
  python3-tifffile,
 Standards-Version: 4.6.2.0
 Homepage: https://github.com/PlotPyStack/plotpy/
@@ -31,7 +35,10 @@
 
 Package: python3-plotpy
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
 Description: Curve and image plotting tools for Python/Qt applications
  plotpy is a Python library providing efficient 2D data-plotting
  features for interactive computing and signal/image processing

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=plotpy

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
  ; $py -m pytest
  ; done
 Depends:
- @,
  python3-all,
  python3-pytest,
  python3-pytest-xvfb,
-Restrictions: allow-stderr, skip-not-installable
+ @,
+Restrictions:
+ allow-stderr,
+ skip-not-installable,
